{
  "manifest_version": 3,
  "name": "喀秋莎ERP-采集插件",
  "version": "2.9.18",
  "description": "产品采集插件",
  "minimum_chrome_version": "120",
  "icons": {
    "16": "img/icon.png",
    "32": "img/icon.png",
    "48": "img/icon.png",
    "128": "img/icon.png"
  },
  "action": {
    "default_icon": "img/icon.png",
    "default_title": "跟卖采集插件",
    "default_popup": "popup.html"
  },
  "background": {
    "service_worker": "js/service_worker.js",
    "type": "module"
  },
  "web_accessible_resources": [
    {
      "resources": [
        "*.ttf",
        "*.woff",
        "*.woff2",
        "*.png"
      ],
      "matches": [
        "<all_urls>"
      ]
    },
    {
      "resources": ["lib/inject.js"],
      "matches": ["https://seller.ozon.ru/*"]
    }
  ],
  "content_scripts": [
    {
      "matches": [
        "https://*.1688.com/*"
      ],
      "js": [
        "js/content1688.js"
      ],
      "css": [
        "css/content1688.css"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "https://*.mercadolibre.com.mx/*"
      ],
      "js": [
        "js/mercadolibre.js"
      ],
      "css": [
        "css/mercadolibre.css"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "https://*.alibaba.com/*"
      ],
      "js": [
        "js/contentalibaba.js"
      ],
      "css": [
        "css/contentalibaba.css"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "https://ml.damaishuju.com/*"
      ],
      "js": [
        "js/damai.js"
      ],
      "css": [
        "css/damai.css"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "https://*.taobao.com/*",
        "https://*.tmall.com/*"
      ],
      "js": [
        "js/contenttaobao.js"
      ],
      "css": [
        "css/contenttaobao.css"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "https://*.aliexpress.com/*",
        "https://*.aliexpress.us/*",
        "https://*.aliexpress.ru/*"
      ],
      "js": [
        "js/contentaliexpress.js"
      ],
      "css": [
        "css/contentaliexpress.css"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "https://*.amazon.com/*",
        "https://*.amazon.co.jp/*",
        "https://*.amazon.com.mx/*",
        "https://*.amazon.ca/*",
        "https://*.amazon.com.br/*",
        "https://*.amazon.co.uk/*",
        "https://*.amazon.fr/*",
        "https://*.amazon.de/*",
        "https://*.amazon.it/*",
        "https://*.amazon.es/*",
        "https://*.amazon.nl/*",
        "https://*.amazon.pl/*",
        "https://*.amazon.com.tr/*",
        "https://*.amazon.se/*",
        "https://*.amazon.in/*",
        "https://*.amazon.ae/*",
        "https://*.amazon.sa/*",
        "https://*.amazon.eg/*",
        "https://*.amazon.com.au/*",
        "https://*.amazon.com.be/*",
        "https://www.amazon.ie/*",
        "https://*.amazon.sg/*"
      ],
      "js": [
        "js/contentamazon.js"
      ],
      "css": [
        "css/contentamazon.css"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "https://*.jd.com/*"
      ],
      "js": [
        "js/contentjd.js"
      ],
      "css": [
        "css/contentjd.css"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "https://*.ebay.com/*"
      ],
      "js": [
        "js/contentebay.js"
      ],
      "css": [
        "css/contentebay.css"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "https://market.yandex.ru/*"
      ],
      "js": [
        "js/content-yandex.js"
      ],
      "css": [
        "css/content-yandex.css"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "https://*.pinduoduo.com/goods*",
        "https://*.yangkeduo.com/goods*"
      ],
      "js": [
        "js/contentpdd.js"
      ],
      "css": [
        "css/contentpdd.css"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "https://*.ozon.ru/*",
        "https://*.ozon.kg/*",
        "https://*.ozon.az/*",
        "https://*.ozon.am/*",
        "https://*.ozon.by/*",
        "https://*.ozon.kz/*"
      ],
      "exclude_matches": [
        "https://seller.ozon.ru/*",
        "https://seller.ozon.kg/*",
        "https://seller.ozon.az/*",
        "https://seller.ozon.by/*",
        "https://seller.ozon.am/*"
      ],
      "js": [
        "js/contentozon.js"
      ],
      "css": [
        "css/contentozon.css"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "https://*.wildberries.ru/*"
      ],
      "js": [
        "js/contentwb.js"
      ],
      "css": [
        "css/contentwb.css"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "https://erp.tooluckmi.com/*",
        "https://*.niubeierp.com/*",
        "https://*.niubeidata.com/*",
        "https://www.zhongchuang.club/*",
        "http://erp.tooluckmi.com/*",
        "https://*.nlemon.cn/*",
        "http://localhost:9527/*",
        "http://localhost:9528/*",
        "http://192.168.0.128:9527/*"
      ],
      "js": [
        "js/contenterp.js"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "https://marcia.impi.gob.mx/marcas/search/*"
      ],
      "js": [
        "js/contentimpi.js"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "https://seller.ozon.ru/*"
      ],
      "js": [
        "lib/ozon.js"
      ],
      "run_at": "document_start",
      "world": "MAIN",
      "all_frames": true
    },

    {
      "matches": [
        "https://*.bing.com/*"
      ],
      "js": [
        "js/content-bing.js"
      ],
      "run_at": "document_idle"
    },
    {
      "matches": [
        "*://*/*"
      ],
      "js": [
        "js/content.js"
      ],
      "run_at": "document_idle"
    }
  ],
  "host_permissions": [
    "*://*/*"
  ],
  "content_security_policy": {
    "extension_pages": "script-src 'self'; object-src 'self'"
  },
  "externally_connectable": {
    "matches": [
      "https://www.niushuikj.com/*",
      "http://erp.tooluckmi.com/*",
      "https://erp.tooluckmi.com/*",
      "https://*.niubeierp.com/*",
      "https://*.niubeidata.com/*",
      "https://erp.nlemon.cn/*",
      "https://www.zhongchuang.club/*",
      "http://localhost:9527/*",
      "http://localhost:9528/*",
      "http://192.168.0.128:9527/*"
    ]
  },
  "permissions": [
    "tabs",
    "scripting",
    "storage",
    "cookies",
    "offscreen",
    "declarativeNetRequest",
    "declarativeNetRequestFeedback",
    "declarativeNetRequestWithHostAccess",
    "unlimitedStorage"
  ],
  "declarative_net_request": {
    "rule_resources": [
      {
        "id": "rule_1",
        "enabled": true,
        "path": "rules_1.json"
      }
    ]
  }
}

